#version 300 es
#ifdef DISL_EXTERNAL_TEXTURE
#extension GL_OES_EGL_image_external_essl3 : require
#define sampler2D_  samplerExternalOES
#else
#define sampler2D_  sampler2D
#endif

precision highp float;
in vec2 UV_f;

uniform mediump sampler2D_ texUnit;

uniform lowp vec4 weight;
uniform lowp vec4 color0;

layout(location = 0) out vec4 fragColor;

void main()
{
    fragColor = mix(color0, texture(texUnit, UV_f), weight);
}
